/*
*
*	Admin jQuery Functions
*	------------------------------------------------
*
*/

jQuery(function($) {
	
	var slider_type;
	
	$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
	$('.nx-other-slider').css('display', 'none');
	$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');

	
	jQuery(window).load(function() {
		$('.nx-title-type input').each(function( index ) {
			if( $(this).parent().hasClass('selected') ) {
				slider_type = $( this ).val();
			}		
		});	
		
		console.log('Slider Type : '+slider_type);
		
		if (slider_type == 0) {
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');			
		} else if (slider_type == 1)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'block');			
		} else if (slider_type == 2)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');				
		} else if (slider_type == 3)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'block');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');				
		} else if (slider_type == 4)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'block');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');				
		}		 else
		{
			console.log("No thumb type selected");
		}		
	});

	$('.nx-title-type input').change(function() {
		
		$('.nx-title-type input').each(function( index ) {
			if( $(this).parent().hasClass('selected') ) {
				slider_type = $( this ).val();
			}
		});
				
		if (slider_type == 0) {
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');					
		} else if (slider_type == 1 )
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'block');						
		} else if (slider_type == 2)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');						
		} else if (slider_type == 3)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'block');
			$('.nx-other-slider').css('display', 'none');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');						
		} else if (slider_type == 4)
		{
			$('.nx-smart-slider, .nx-ss-pro').css('display', 'none');
			$('.nx-other-slider').css('display', 'block');
			$('.nx-title-bg, .nx-breadcrumb').css('display', 'none');						
		}
	});	

});

jQuery(document).ready(function($) {
});	

